<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Teilnehmer;

class WssFieldTeilnehmerStaatsangehoerigkeit extends \Kufer\KuferTools\Utils\WssField\WssField
{
  protected function getFieldBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $result = parent::getFieldBearbeitbar($datamodulWert, $isFormular, $requestPrefix);

    return $result . $this->getHinterlegung();
  }

  private function getHinterlegung()
  {
    $buttonStyle = 'position: absolute; right: 20px; top: -3px; font-size: 27px; color: #555; cursor:pointer;';
    $inputIds = array($this->datamodulColumn->datamodul . '_' . $this->datamodulColumn->fieldname);

    return \PageButtonsAPI::getHinterlegungSymbol(\HLDispatcher::HL_STAATSANGEHOERIGKEIT, $inputIds, 'hlbutton_staatsang', $buttonStyle, 'hlstaatsang_div', 'Staatsangehörigkeit');
  }
}